List
curl --request GET \
--url https://{defaultHost}/v1/affiliation_requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/affiliation_requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/affiliation_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/affiliation_requests"
},
"data": [
{
"id": "80ceadba-c05a-49c7-b368-215debe10db9",
"object": "affiliation_request",
"bio": "I will promote your products to all my followers!",
"email": "test-affiliate-1@example.com",
"first_name": "Test",
"last_name": "Affiliate 1",
"metadata": {},
"payout_email": null,
"status": "pending",
"url": null,
"portal_url": "http://app.example.com/portal_redirect/affiliation_requests/80ceadba-c05a-49c7-b368-215debe10db9",
"created_at": 1782485802,
"updated_at": 1782485802
}
]
}Affiliation Requests
List
Returns a list of your affiliation requests.
GET
/
v1
/
affiliation_requests
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
The page of items you want returned.
The query to be used for full text search of this collection.
Only return objects with the given status.
Was this page helpful?
⌘I